Integrations Compatibility

This page shows integrations that are compatible with the respective version of the Acrolinx Platform. For information on older versions of Acrolinx, you can still access the old Compatibility Guide.

Acrolinx Integration versions are only supported if you use them with a supported host editor version.

Microsoft Office Online

Acrolinx Bundle VersionVersionsSupported Host Versions
1.0, 1.0.1
1.0 Word16.x

Microsoft Office on Windows

Acrolinx Bundle VersionVersionsSupported Office VersionsSupported Operating Systems
1.6 Office

1.6 Word

1.6 PowerPoint

1.6 Excel

1.6 Outlook

2019, 2021, and Office 365 (32-bit and 64-bit)Windows 8.1, 10, and 11 (32 or 64-bit)
1.5.1 Office

1.5.1 Word

1.5.1 PowerPoint

1.5.1 Excel

1.5.1 Outlook

2013, 2016, 2019 (32- and 64-bit), 2021, and Office 365Windows 8.1, 10, and 11 (32 or 64-bit)
1.5 Office

1.5 Word

1.5 PowerPoint

1.5 Excel

1.5 Outlook

2013, 2016, 2019 (32- and 64-bit), and Office 365
Windows 8.1, 10, and 11 (32 or 64-bit)


Acrolinx for Mac

Acrolinx Bundle VersionVersionsSupported Host VersionsSupported Operating Systems
2.0.1

2019, 2021 (Office 365)

Sketch 63-70

10.15 (Catalina), 11.0 (Big Sur), 12.0 (Monterey), 13.0 (Ventura)
2.0

2016, 2019 (Office 365)

Sketch 63-70

10.14 (Mojave), 10.15 (Catalina), 11.0 (Big Sur), 12.0 (Monterey)

1.9

1.9.9 Word

1.9.9 PowerPoint

1.9.9 Outlook

1.9.9 Sketch

2016, 2019 (Office 365)

Sketch 60-66

10.14 (Mojave), 10.15 (Catalina)
1.7.3, 1.8

1.5.1 Word

1.2.1 PowerPoint

1.2.2 Outlook

1.2.1 Sketch

2016, 2019 (Office 365)

Sketch 60, 61, 62

10.13 (High Sierra), 10.14 (Mojave), 10.15 (Catalina)
1.7.2

1.5.1 Word

1.2.1 PowerPoint

1.2.1 Outlook

1.2.1 Sketch

2016, 2019 (Office 365)

Sketch 50, 51, 52

10.12 (Sierra), 10.13 (High Sierra), 10.14 (Mojave)
1.7, 1.7.1

1.5 Word

1.2 PowerPoint

1.2 Outlook

1.2 Sketch

2016 (Office 365, including updates after January 2018)

Sketch 48.x

10.11 (El Capitan), 10.12 (Sierra), 10.13 (High Sierra)

Technical Authoring Tools

Host SoftwareAcrolinx VersionsSupported Host VersionsSupported Operating Systems
Arbortext Editor2.0, 2.18.0 (64-bit) or 8.1 (64-bit)Microsoft Windows 8.1, 10, and 11 (64-bit)
Arbortext Editor1.2.1, 1.3

8.0 (64-bit) or 8.1 (64-bit)

Microsoft Windows 8.1, 10, and 11 (64-bit)
Arbortext Editor1.1, 1.1.1, 1.1.2, 1.27.1 (64-bit) and 8.0 (64-bit)Microsoft Windows 8.1, and 10 (64-bit)
Arbortext Editor1.0.37.0 M030 and 7.1 (64-bit)Microsoft Windows 8.1, and 10 (64-bit)
Adobe FrameMaker1.4.12019 (versions 15.x.x), 2020 (versions 16.x.x)Microsoft Windows 8.1, 10, and 11 (32 or 64-bit)

Adobe FrameMaker

1.4

2017, 2019, 2020

Microsoft Windows 8.1, and 10 (32 or 64-bit)

Adobe FrameMaker

1.3.5

2015, 2017, 2019, 2020

Microsoft Windows 8.1, and 10 (32 or 64-bit)

Adobe FrameMaker

1.3.3, 1.3.4

2015, 2017, 2019

Microsoft Windows 7, 8.1, and 10 (32 or 64-bit)

Adobe FrameMaker

1.3, 1.3.1, 1.3.2

2017, 2019

Microsoft Windows 8.1, and 10 (32 or 64-bit)

Adobe Creative Cloud InDesign and InCopy1.3.32022, 2023

Microsoft Windows 7 (with Service Pack 1), 10, and 11 (64-bit)
macOS 10.13 (High Sierra), 10.14 (Mojave), and 10.15 (Catalina)

Adobe Creative Cloud InDesign and InCopy1.3.22021, 2022

Microsoft Windows 7 (with Service Pack 1), 10, and 11 (64-bit)
macOS 10.13 (High Sierra), 10.14 (Mojave), and 10.15 (Catalina)

Figma1.0, 1.1, 1.2, 1.3

Microsoft Windows 8.1, 10, and 11 (64-bit)

macOS 10.15 (Catalina), 11 (Big Sur), and 12 (Monterey)

JustSystems XMetaL Author1.4.214, 15, 16 (32-bit and 64-bit)Microsoft Windows 8.1, 10, and 11 (32 and 64-bit)
JustSystems XMetaL Author1.4, 1.4.113, 14, 15 (32-bit and 64-bit)Microsoft Windows 8.1, and 10 (32 and 64-bit)
JustSystems XMetaL Author1.312, 13, 14 (32-bit and 64-bit)Microsoft Windows 8.1, and 10 (32 and 64-bit)
MadCap Flare and Contributor1.5

Flare versions 2021, 2021 r2, 2021 r3, 2022, and 2022 r2

Contributor versions 9 and 9r2

Microsoft 8.1, 10, and 11 (32 and 64-bit)
MadCap Flare and Contributor1.4

Flare versions 2019 r1, 2019 r2, 2020, 2021, 2021 r2, 2021 r3, 2022

Contributor version 9

Microsoft Windows 8.1, 10, and 11 (32 and 64-bit)
Microsoft Visual Studio Code1.2.1,1.2.21.67+Microsoft Windows, macOS X, or Linux
Microsoft Visual Studio Code1.21.50.0+Microsoft Windows, Mac OS X, or Linux
Microsoft Visual Studio Code1.1, 1.1.1, 1.1.21.25.1Microsoft Windows, Mac OS X, or Linux
Microsoft Visual Studio Code1.0.11.24.1Microsoft Windows, Mac OS X, or Linux
Microsoft Visual Studio Code1.01.7, 1.8, 1.91.19.2Microsoft Windows, Mac OS X, or Linux

* Doesn't work reliably in all environments.

Oxygen 

Host SoftwareAcrolinx VersionsSupported Host VersionsSupported Operating SystemsNotes
Oxygen XML Editor and Author (Standalone and Eclipse)2.0, 2.1

22.x, 23.x, 24x

Microsoft Windows 7, 8.1, and 10 (32 or 64-bit)

macOS 10.11 and later

Linux (64-bit)

Acrolinx requires Java Runtime Environment (JRE) 1.8 or OpenJDK 11

We require Eclipse version 4.19 or later.

For the latest updates, see Download Oxygen XML Editor.

Oxygen XML Editor and Author (Standalone and Eclipse)1.722.x, 23.x, 24x

Microsoft Windows 7, 8.1, and 10 (32 or 64-bit)

Mac OS X 10.10

Linux (64-bit)

Acrolinx requires Java Runtime Environment (JRE) 1.8

We recommend Eclipse version 4.19 or later.


Acrolinx Sidebar

The Sidebar runs in web applications that use the following browsers.

Host SoftwareAcrolinx VersionsSupported Host VersionsSupported Operating Systems
Acrolinx Sidebar15.x

Chrome 86+

Linux, macOS, and Microsoft Windows

Acrolinx Sidebar15.x

Edge 86+

Linux, macOS, and Microsoft Windows

Acrolinx Sidebar15.x

Firefox 85+

Linux, macOS, and Microsoft Windows

Acrolinx Sidebar15.x

Safari 14+

macOS

Acrolinx Sidebar

14.xInternet Explorer 11Microsoft Windows
Acrolinx Sidebar14.xMicrosoft Edge 13, 14Microsoft Windows
Acrolinx Sidebar14.xFirefox 50Mac OS X and Microsoft Windows
Acrolinx Sidebar14.xChrome 55Mac OS X and Microsoft Windows
Acrolinx Sidebar14.xSafari 9.1Mac OS X

Developer Tools for Web Editors

Host SoftwareDeveloper ToolSupported Host Versions
TinyMCEJavaScript Sidebar SDKSee GitHub for version support.
CKEditorJavaScript Sidebar SDKSee GitHub for version support.
CodeMirrorJavaScript Sidebar SDKSee GitHub for version support.
XeditorJavaScript Sidebar SDKSee GitHub for version support.

Web Platforms

Host SoftwareAcrolinx Versions Supported Host Versions
Notes
Drupal1.0.18.5.1Requires PHP version 7.0 or later
Drupal1.08.1, 8.2, 8.3, 8.4Requires PHP version 7.0 or later
WordPress1.55.7, 5.8, 5.9, 6.0, 6.1Requires PHP version 8.0 or later

Adobe AEM

(On-premise only)

2.1, 2.1.1, 2.1.2

6.5.x

AEM Guides (formerly XML Documentation solution) 4.0 and later

Includes support touch UI.

Adobe AEM

2.0.1

On-premise: 6.5.x, AEM Guides 4.0 and later

AEMaaCS: 2022.05.x, AEM Guides version 2022.5.x

Includes support touch UI.

Adobe AEM

(On-premise only)

1.10, 1.11

6.5.x

AEM Guides (formerly XML Documentation solution) 4.0

Includes support touch UI.

Adobe AEM

(On-premise only)

1.8, 1.8.3, 1.9

6.5.x

XML Documentation Solution 3.7 and 3.8

Includes support touch UI.
Oxygen XML Web Author1.5.122.1.x, 23.x, and 24.x
Oxygen XML Web Author1.522.x and 23.x
Oxygen XML Web Author1.4.121.x, 22.x, and 23.0 To check DITA maps or DITA references you need Acrolinx Platform version 2019.10 or later.
Oxygen XML Web Author1.420.0, 20.1.1, 21.0, 21.1, 22.0
To check DITA maps or DITA references you need Acrolinx Platform version 2019.10 or later.
Salesforce Knowledge3.1, 3.4Salesforce Lightning KnowledgeCKEditor version 4.18.0
Atlassian Confluence5.0.0Confluence Server 7.13.x–7.19.2.The Acrolinx Connector for Confluence only supports the on-premise version of Confluence (Confluence Server and Data Center).
Atlassian Confluence4.1.1, 4.1.2, 4.1.3Confluence Server 7.4.x–7.13.x.The Acrolinx Connector for Confluence only supports the on-premise version of Confluence (Confluence Server and Data Center).
Atlassian Confluence4.0.0.1, 4.1.0Confluence Server 6.6.0–7.7.4The Acrolinx Connector for Confluence only supports the on-premise version of Confluence (Confluence Server and Data Center).
Atlassian Confluence3.15.0Confluence Server 6.6.0–7.4.9The Acrolinx Connector for Confluence only supports the on-premise version of Confluence (Confluence Server and Data Center).
SharePoint1.1SharePoint Classic and Modern experiences
Microsoft 365 SharePoint1.0, 1.1


Browser Extensions

Host SoftwareAcrolinx VersionsSupported Host VersionsNotes
Google Chrome1.688 or later
Google Chrome1.2, 1.3, 1.4, 1.570.x or later
Google Chrome1.1, 1.1.157.x or later
Google Chrome1.045 or later
Mozilla Firefox1.3, 1.4, 1.5, 1.668 or later
Mozilla Firefox1.266 or later
Mozilla Firefox1.159.x
Mozilla Firefox1.048 or later
Microsoft Edge1.688 or later
Microsoft Edge1.4, 1.580.x or later
Safari1.514Private Cloud and Standard Stack


Google Workspace Add-ons

Host SoftwareAcrolinx VersionsSupported Chrome Versions
Google Docs1.693 or later
Google Docs1.4.2 and 1.5.071 or later
Google Docs1.4 and 1.4.160 or later
Google Sheets1.4.2 and 1.5.071 or later
Google Slides1.4.2, 1.5.071 or later

Acrolinx Standalone Tools

Host SoftwareAcrolinx VersionsSupported Operating Systems
Content Analyzer2.6

Microsoft Windows 10 and 11
macOS 10.15 (Catalina) and macOS 11 (Big Sur), macOS 12 (Monterey)
Linux Ubuntu 20.04

Content Analyzer2.5

Microsoft Windows 10 and 11
macOS 10.15 (Catalina) and macOS 11 (Big Sur)
Linux Ubuntu 20.04

Content Analyzer 20192.4Microsoft Windows 10
macOS 10.14 (Mojave), macOS 10.15 (Catalina)
Linux Ubuntu 20.04
Desktop Checker1.0.1

Microsoft Windows 10 (64-bit)
macOS 10.15 (Catalina), macOS 11.0 (Big Sur)
Linux: Ubuntu 18.04.5 LTS

Desktop Checker1.0Microsoft Windows 7 and 10
macOS 10.12 (Sierra), macOS 10.13 (High Sierra)
Linux Ubuntu 18.0.4
CLI (Command Line Interface)1.3

Microsoft Windows 10 and 11
macOS 11 (Big Sur) and macOS 12 (Monterey)
Linux Ubuntu 18.04 and later

CLI (Command Line Interface)1.0, 1.1, 1.2, 1.2.1Microsoft Windows 10
macOS 10.15 (Catalina) and later
Linux Ubuntu 16.04 and later
Acrolinx for GitHub2.0.x, 3.1.1, 3.2.0, 3.3.0, 3.4.0, 3.5.0, 3.6.0
Acrolinx for Azure DevOps Git1.0.x, 1.1.x
Term Transfer Tool5.5.0